# OpenML dataset: seeds

https://www.openml.org/d/1499

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.csv`](./dataset/tables/data.csv): CSV file with data
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

**Author**: M. Charytanowicz, J. Niewczas, P. Kulczycki, P.A. Kowalski, S. Lukasik, S. Zak  
**Source**: UCI     
**Please cite**:  Contributors gratefully acknowledge support of their work by the Institute of Agrophysics of the Polish Academy of Sciences in Lublin.   

* Title:

seeds Data Set 

* Abstract: 

Measurements of geometrical properties of kernels belonging to three different varieties of wheat. A soft X-ray technique and GRAINS package were used to construct all seven, real-valued attributes.

* Source:

MaÅ‚gorzata Charytanowicz, Jerzy Niewczas 
Institute of Mathematics and Computer Science, 
The John Paul II Catholic University of Lublin, KonstantynÃ³w 1 H, 
PL 20-708 Lublin, Poland 
e-mail: {mchmat,jniewczas}@kul.lublin.pl 

Piotr Kulczycki, Piotr A. Kowalski, Szymon Lukasik, Slawomir Zak 
Department of Automatic Control and Information Technology, 
Cracow University of Technology, Warszawska 24, PL 31-155 Cracow, Poland 
and 
Systems Research Institute, Polish Academy of Sciences, Newelska 6, 
PL 01-447 Warsaw, Poland 
e-mail: {kulczycki,pakowal,slukasik,slzak}@ibspan.waw.pl


* Data Set Information:

The examined group comprised kernels belonging to three different varieties of wheat: Kama, Rosa and Canadian, 70 elements each, randomly selected for the experiment. High quality visualization of the internal kernel structure was detected using a soft X-ray technique. It is non-destructive and considerably cheaper than other more sophisticated imaging techniques like scanning microscopy or laser technology. The images were recorded on 13x18 cm X-ray KODAK plates. Studies were conducted using combine harvested wheat grain originating from experimental fields, explored at the Institute of Agrophysics of the Polish Academy of Sciences in Lublin. The data set can be used for the tasks of classification and cluster analysis.

* Attribute Information:

To construct the data, seven geometric parameters of wheat kernels were measured: 
1. area A, 
2. perimeter P, 
3. compactness C = 4*pi*A/P^2, 
4. length of kernel, 
5. width of kernel, 
6. asymmetry coefficient 
7. length of kernel groove. 
All of these parameters were real-valued continuous.


* Relevant Papers:

M. Charytanowicz, J. Niewczas, P. Kulczycki, P.A. Kowalski, S. Lukasik, S. Zak, 'A Complete Gradient Clustering Algorithm for Features Analysis of X-ray Images', in: Information Technologies in Biomedicine, Ewa Pietka, Jacek Kawa (eds.), Springer-Verlag, Berlin-Heidelberg, 2010, pp. 15-24.

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/1499) of an [OpenML dataset](https://www.openml.org/d/1499). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/1499/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/1499/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/1499/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

